@ECHO off
REM Created 2.0 by Kazuhiko Ito 20090416
REM Created 2.1 (w2003 32bit) by Kazuhiko Ito 20090420
REM Created 2.2 (firewall) by Kazuhiko Ito 20090420
REM Modified 2.3 (simplified) by Ladis Reisinger 20090424
SETLOCAL 
echo ########################################################  
echo  adlm_info.txt Generator Ver2.3
echo  Autodesk Moldflow Product Support 
echo.
echo  If you use Windows Vista, click the RIGHT mouse 
echo  button and choose RUN AS ADMINISTRATOR from the menu.
echo ########################################################
chcp 437
echo .
Echo ########################################################
Echo Please enter your Autodesk Flex service name:
echo ########################################################
Echo .
SET /P ADLMSN=Please enter Service name: 
echo %ADLMSN%
If /I "%ADLMSN%"=="" goto :Error_Service_name
Echo .
Echo ########################################################
Echo You have defined the Autodesk Flex service name as:
echo %ADLMSN%
echo ########################################################
echo .
echo .
%~d0
cd %~dp0
echo ########################################################
echo This script will:
echo Restart license managers for Autodesk Moldflow 2010 
echo and write specific system information to adlm_info.txt file.
Echo Please send this adlm_info.txt file to Autodesk Support. 
echo ########################################################
echo.
echo.
echo Gathering System Information.
echo.
echo.
echo ######################################################## >> adlm_info.txt


echo ######################################################## >> adlm_info.txt
echo . >> adlm_info.txt
echo  Please send this file to   >> adlm_info.txt
echo  Autodesk Moldflow Support  >> adlm_info.txt
echo . >> adlm_info.txt
echo ######################################################## >> adlm_info.txt

echo .  >> adlm_info.txt
echo ########################################################  >> adlm_info.txt
echo ########################################################  >> adlm_info.txt
echo   Systeminfo >> adlm_info.txt
echo ######################################################## >> adlm_info.txt
echo  What to look for :  >> adlm_info.txt
echo ########################################################  >> adlm_info.txt
echo .  >> adlm_info.txt
Echo  You should be able to see:  >> adlm_info.txt
echo  The Host Name    >> adlm_info.txt
echo  General System Information  >> adlm_info.txt
echo .  >> adlm_info.txt
echo ######################################################## >> adlm_info.txt

Systeminfo >> adlm_info.txt


echo .  >> adlm_info.txt
echo ########################################################  >> adlm_info.txt
echo ########################################################  >> adlm_info.txt
echo   set  >> adlm_info.txt
echo ######################################################## >> adlm_info.txt
echo  What to look for : >> adlm_info.txt
echo ########################################################  >> adlm_info.txt
echo .  >> adlm_info.txt
Echo  You should be able to see the settings for :  >> adlm_info.txt
echo  MPSADLMHOST=localhost  (or servername or IP address )   >> adlm_info.txt
echo  MPSADLMPORT= (port number)  - only if set  >> adlm_info.txt
echo .  >> adlm_info.txt
echo ######################################################## >> adlm_info.txt

set >> adlm_info.txt


echo .  >> adlm_info.txt
echo ########################################################  >> adlm_info.txt
echo ########################################################  >> adlm_info.txt
echo   ipconfig /all  >> adlm_info.txt
echo ######################################################## >> adlm_info.txt
echo  What to look for :  >> adlm_info.txt
echo ########################################################  >> adlm_info.txt
echo .  >> adlm_info.txt
Echo  You should look for the  Physical Address for :  >> adlm_info.txt
echo  Ethernet adapter Local Area Connection:    >> adlm_info.txt
echo  and compre it with the entry in the licence.lic file.   >> adlm_info.txt
echo .  >> adlm_info.txt
echo ########################################################  >> adlm_info.txt

ipconfig /all  >> adlm_info.txt


echo .  >> adlm_info.txt
echo ########################################################  >> adlm_info.txt
echo ########################################################  >> adlm_info.txt
echo   sc query >> adlm_info.txt
echo ######################################################## >> adlm_info.txt
echo  What to look for : >> adlm_info.txt
echo ########################################################  >> adlm_info.txt
echo .  >> adlm_info.txt
Echo  You should see if the FelxLm servics is running or not >> adlm_info.txt
echo  You should see if the ADLM Deamon is running or not  >> adlm_info.txt
echo .  >> adlm_info.txt
echo ######################################################## >> adlm_info.txt

SC query "Autodesk License Manager (Moldflow) Daemon"  >> adlm_info.txt
SC query "%ADLMSN%"  >> adlm_info.txt


echo .  >> adlm_info.txt
echo ########################################################  >> adlm_info.txt
echo ########################################################  >> adlm_info.txt
echo   netsh firewall show config >> adlm_info.txt
echo ######################################################## >> adlm_info.txt
echo  What to look for : >> adlm_info.txt
echo You see here the Fierwall settings of your sysem >> adlm_info.txt
echo Please check if the Firewall is disabled/ enabled. >> adlm_info.txt
echo ########################################################  >> adlm_info.txt
echo .  >> adlm_info.txt

netsh firewall show state >> adlm_info.txt


echo ########################################################  >> adlm_info.txt
echo ########################################################  >> adlm_info.txt
echo   sc stop >> adlm_info.txt
echo ######################################################## >> adlm_info.txt
echo  What to look for : >> adlm_info.txt
echo You see here the network settings of your sysem  >> adlm_info.txt
echo Look if you can see the ADLM for Port numbers 2080 and 6014  >> adlm_info.txt
echo ######################################################## >> adlm_info.txt

sc stop "Autodesk License Manager (Moldflow) Daemon" >> adlm_info.txt
sc stop "%ADLMSN%" >> adlm_info.txt


echo ######################################################## >> adlm_info.txt
echo   netstat -a when License Manager is  down>> adlm_info.txt
echo ######################################################## >> adlm_info.txt
netstat -a >> adlm_info.txt
echo Restart license manager of Autodesk Moldflow2010 product


echo ########################################################  >> adlm_info.txt
echo ########################################################  >> adlm_info.txt
echo   sc start >> adlm_info.txt
echo ######################################################## >> adlm_info.txt
echo What to look for : >> adlm_info.txt
echo You see here the status of the FlexLM and ADLM services >> adlm_info.txt
echo Please check if could be started  >> adlm_info.txt
echo ######################################################## >> adlm_info.txt
echo The script is trying to start Autodesk Moldflow License Manager.

sc start "%ADLMSN%" >> adlm_info.txt
sc start "Autodesk License Manager (Moldflow) Daemon" >> adlm_info.txt

echo.
echo Status of the Licesne services:.
echo .
SC query "Autodesk License Manager (Moldflow) Daemon" 
sc query "%ADLMSN%"



echo Please wait 120 sec. After that, write status of port to adlm_info.txt.
echo ########################################################  >> adlm_info.txt
echo ########################################################  >> adlm_info.txt
echo   ping localhost and 127.0.0.1>> adlm_info.txt
echo ######################################################## >> adlm_info.txt
Echo  What to look for : >> adlm_info.txt
echo ########################################################  >> adlm_info.txt
echo .  >> adlm_info.txt
echo  You should be able to see the ping results for:  >> adlm_info.txt
echo  %COMPUTERNAME%   >> adlm_info.txt
echo  %MPSADLMHOST%  >> adlm_info.txt
echo .  >> adlm_info.txt
echo ######################################################## >> adlm_info.txt

ping localhost -n 10 >> adlm_info.txt
ping 127.0.0.1 -n 10 >> adlm_info.txt

echo ######################################################## >> adlm_info.txt
echo   ping %COMPUTERNAME% and %MPSADLMHOST% >> adlm_info.txt
echo ######################################################## >> adlm_info.txt

ping %COMPUTERNAME% -n 10 >> adlm_info.txt
ping %MPSADLMHOST% -n 10 >> adlm_info.txt
ping localhost -n 80 > nul




echo .  >> adlm_info.txt
echo .  >> adlm_info.txt
echo ########################################################  >> adlm_info.txt
echo ########################################################  >> adlm_info.txt
echo   Netstat -nb will show which IP addreess lmgrd is using  >> adlm_info.txt
echo   and the IP addresss adskflex services are linked too >> adlm_info.txt
echo ######################################################## >> adlm_info.txt
echo  What to look for : >> adlm_info.txt
echo ######################################################## >> adlm_info.txt
echo   netstat -a when License Manager is  up>> adlm_info.txt
echo ######################################################## >> adlm_info.txt

netstat -a >> adlm_info.txt
netstat -nb >> adlm_info.txt

echo Write status of license manager and registry information to adlm_info.txt.



echo .
echo ######################################################## >> adlm_info.txt
echo Checking System architecture >> adlm_info.txt
echo ######################################################## >> adlm_info.txt
echo .

If %PROCESSOR_ARCHITECTURE%==AMD64 goto Win_64

If NOT %PROCESSOR_ARCHITECTURE%==x86 goto unknown_os
goto Win_32



:Win_32
echo ######################################################## >> adlm_info.txt
echo   lmstat -a -S adskflex on Windows 32bit architecture >> adlm_info.txt
echo ######################################################## >> adlm_info.txt
"%ProgramFiles%\Autodesk\License Manager (Moldflow)\lmutil" lmstat -a -S adskflex >> adlm_info.txt
echo ######################################################## >> adlm_info.txt
echo   REG QUERY "HKLM\SOFTWARE\FLEXlm License Manager" /s >> adlm_info.txt
echo ######################################################## >> adlm_info.txt
REG QUERY "HKLM\SOFTWARE\FLEXlm License Manager" /s >> adlm_info.txt
goto How_it_should_look

:Win_64
echo ######################################################## >> adlm_info.txt
echo   lmstat -a -S adskflex  on Windows 64bit architecture >> adlm_info.txt
echo ######################################################## >> adlm_info.txt
"%ProgramFiles(x86)%\Autodesk\License Manager (Moldflow)\lmutil" lmstat -a -S adskflex >> adlm_info.txt
echo ######################################################## >> adlm_info.txt
echo   REG QUERY "HKLM\SOFTWARE\Wow6432Node\FLEXlm License Manager" /s >> adlm_info.txt
echo ######################################################## >> adlm_info.txt
REG QUERY "HKLM\SOFTWARE\Wow6432Node\FLEXlm License Manager" /s >> adlm_info.txt
goto How_it_should_look


:How_it_should_look
echo ########################################################  >> adlm_info.txt
Echo  What to look for : >> adlm_info.txt
echo ########################################################  >> adlm_info.txt
echo .  >> adlm_info.txt
Echo  Please see here how the register entry should look: >> adlm_info.txt
echo .  >> adlm_info.txt
echo HKEY_LOCAL_MACHINE\SOFTWARE\.....\FLEXlm License Manager  >> adlm_info.txt
echo Service    REG_SZ    (Flexlm Service name)   >> adlm_info.txt
echo FLEXlm License Manager    REG_SZ    @(server Name)   >> adlm_info.txt
echo ADSKFLEX_LICENSE_FILE    REG_SZ    @127.0.0.1  >> adlm_info.txt
echo .  >> adlm_info.txt
echo .  >> adlm_info.txt
echo HKEY_LOCAL_MACHINE\SOFTWARE\...\FLEXlm License Manager\(Service name)   >> adlm_info.txt
echo Lmgrd    REG_SZ    C:\Program Files (..)\Autodesk Network License Manager\lmgrd.exe   >> adlm_info.txt
echo LMGRD_LOG_FILE    REG_SZ    C:\Keyfile\(log file name).log   >> adlm_info.txt
echo License    REG_SZ    C:\Keyfile\(key file name).lic   >> adlm_info.txt
echo cmdlineparams    REG_SZ       >> adlm_info.txt
echo .   >> adlm_info.txt
echo .  >> adlm_info.txt
echo ######################################################## >> adlm_info.txt
goto successful



:unknown_os
Echo Not supported OS
pause
goto end 

:successful
echo ########################################################
echo adlm_info.txt has been created.
echo Send adlm_info.txt to Autodesk Moldflow Support 
echo ########################################################
goto end

:Error_Service_name
echo ########################################################
echo  Please define the Flex service name
echo  and re start the batch file 
echo ########################################################
pause
goto end

:end 
echo ######################################################## >> adlm_info.txt
echo ######################################################## >> adlm_info.txt
echo . >> adlm_info.txt
echo  Please send this file to  >> adlm_info.txt
echo  Autodesk Moldflow Support >> adlm_info.txt
echo . >> adlm_info.txt
echo ######################################################## >> adlm_info.txt
echo ######################################################## >> adlm_info.txt
echo . >> adlm_info.txt
